UniversRadio BugTracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000051UniversRadio[All Projects] UniversRadiopublic2017-02-23 05:412017-03-20 14:07
Reporterjeepyb 
Assigned ToTacno 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 64-bitOS Version10
Product Version 
Target VersionFixed in Version 
Summary0000051: Mirage / UR presets
DescriptionIt seems that I am no longer able to set/force the presets for the mirage. Whenever I check force presets and hit save, I get to another window asking for mirage 2000 presets and kneeboard creation. If I check Mirage 2000 presets I get the following error:

Fatal Error !
Can not get to DCS Path !

check your DCS Installation and registry

I then get a confirmation that the setting were applied. But in game the presets are incorrect and the M2000C.lua file seems to be unchanged by UR.


Other members of my group have been having problems with their mirage presets lately and alot of them have reported having this error pop up as well.
TagsNo tags attached.
DCS moduleMirage 2000C
Attached Filespng file icon fatal error UR.png [^] (7,060 bytes) 2017-02-23 05:41


png file icon dcs path.png [^] (17,006 bytes) 2017-02-23 15:39


reg file icon key.reg [^] (1,168 bytes) 2017-02-23 18:21
? file icon UR_Control.exe [^] (103,424 bytes) 2017-02-24 12:34
log file icon URControlPanel.log [^] (2,090 bytes) 2017-02-25 00:18

- Relationships

-  Notes
(0000111)
Tacno (administrator)
2017-02-23 12:52
edited on: 2017-02-23 12:53

As written path of your DCS installation is unknown.
This path must be defined in the Registry. If not, it's incorrect, bad installation of DCS.
To repare this.
1. Launch regedit.exe
2. Go to HKey Current User \ Software \ Eagle Dynamics \ DCS
3. without cote, add a new String named "Path" with value : your DCS-World path "C:\Pro....\DCS-World"
4. check other DCS openalpha openbeta Registry entries too.

Also, If you want to use UR preset, use UR 0.1.3.1 LB

(0000112)
jeepyb (reporter)
2017-02-23 15:39

I did all of that and I am still getting the same error. I am using UR 0.1.3.1 LB already.
(0000113)
Tacno (administrator)
2017-02-23 17:02
edited on: 2017-02-23 17:03

So you confirm Path value in DCS key didn't exist ?
Thank for feedback.

Do you launch UR CP with an other user than DCS ? You use admin privilege with an other user.
Idea, is HKCU (current user) registry is different when you run UR CP.
For checking : Can you export th Registry key of "HKey Current User \ Software \ Eagle Dynamics \ DCS" ? Regedit / select DCS key from the tree then File / Export (share here with updload file as you know to do)

(0000114)
Tacno (administrator)
2017-02-23 17:22

Your DCS directory isn't in basic "program files" folder.
In this case, can you launch URCP from UniversRadio directory by launching ur_control.exe
(0000115)
jeepyb (reporter)
2017-02-23 18:11

The Path value in the registry did exist (I didnt create one).

I do not have any other user on this PC. The current user is the only user on this PC and has admin privileges.

Which key do you want me to upload exactly ?

I don't have any trouble launching URCP, and all other functions of it work correctly.

Again, all the players from my squadron are having the same exact error message and problem with the Mirage presets.
(0000116)
Tacno (administrator)
2017-02-23 18:43

Can you try by running ur-control.exe without admin privilege, pls ?
(0000117)
jeepyb (reporter)
2017-02-23 18:48

I just tried; no change. Still getting the error
(0000118)
hotrod525 (reporter)
2017-02-23 18:56

I have the same issue, tryed to fix it, still an error prompt. Genre, peu importe ce qu'on fait, il me dit encore que j'ai pas la HKEY etc.
(0000119)
Tacno (administrator)
2017-02-24 10:37

I've just test.
Shame on me, a bug when you don't have all DCS versions. stable, oa and ob
Anyway, radio presets should work and you wrote that not. I will upload a correction for testing, today or tomorrow
(0000120)
Tacno (administrator)
2017-02-24 12:37

Could you test with the UR_control.exe in attachement. Copy it in the UR default folder (not Saved games)
This version generates a log in ..\Saved games\UniversRadio\log\UR_ControlPanel.log
(0000121)
jeepyb (reporter)
2017-02-24 21:04

Just tested your .exe Everything looks like its back to normal. No more error message and my presets work again. Tks
(0000122)
Tacno (administrator)
2017-02-24 22:12

Could sent to me your ur_controlpanel.log file ?
(0000123)
jeepyb (reporter)
2017-02-25 00:18

c'est fait
(0000127)
Tacno (administrator)
2017-03-20 14:07

0.1.3.2 released today

- Issue History
Date Modified Username Field Change
2017-02-23 05:41 jeepyb New Issue
2017-02-23 05:41 jeepyb File Added: fatal error UR.png
2017-02-23 12:52 Tacno Note Added: 0000111
2017-02-23 12:52 Tacno Assigned To => Tacno
2017-02-23 12:52 Tacno Status new => assigned
2017-02-23 12:53 Tacno Note Edited: 0000111 View Revisions
2017-02-23 15:39 jeepyb Note Added: 0000112
2017-02-23 15:39 jeepyb File Added: dcs path.png
2017-02-23 17:02 Tacno Note Added: 0000113
2017-02-23 17:03 Tacno Note Edited: 0000113 View Revisions
2017-02-23 17:22 Tacno Note Added: 0000114
2017-02-23 18:11 jeepyb Note Added: 0000115
2017-02-23 18:21 jeepyb File Added: key.reg
2017-02-23 18:43 Tacno Note Added: 0000116
2017-02-23 18:44 Tacno Summary Mirage => Mirage / UR presets
2017-02-23 18:48 jeepyb Note Added: 0000117
2017-02-23 18:56 hotrod525 Note Added: 0000118
2017-02-24 10:37 Tacno Note Added: 0000119
2017-02-24 10:37 Tacno Status assigned => confirmed
2017-02-24 12:34 Tacno File Added: UR_Control.exe
2017-02-24 12:37 Tacno Note Added: 0000120
2017-02-24 21:04 jeepyb Note Added: 0000121
2017-02-24 22:12 Tacno Note Added: 0000122
2017-02-25 00:18 jeepyb File Added: URControlPanel.log
2017-02-25 00:18 jeepyb Note Added: 0000123
2017-02-25 09:39 Tacno Status confirmed => resolved
2017-02-25 09:39 Tacno Fixed in Version => 0.1.3.2 LC
2017-02-25 09:39 Tacno Resolution open => fixed
2017-03-20 14:07 Tacno Note Added: 0000127
2017-03-20 14:07 Tacno Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker